# vim: set sw=4 ts=4 et:

Name:           transcode
Version:        1.1.5
Release:        107.2

Source:         http://download.berlios.de/tcforge/transcode-%{version}.tar.bz2
Patch0:         transcode-fix-rpmlint.patch
Patch1:         transcode-ffmpeg.diff
Patch2:         transcode-configdir.patch
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

Summary:        A linux video stream processing utility
Summary(de):    Das Schweizer Taschenmesser der Videobearbeitung
License:        GPL
Group:          Productivity/Multimedia/Other

URL:            http://tcforge.berlios.de
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

%if %suse_version < 1130
BuildRequires:  gtk-devel
BuildRequires:  glib-devel
%endif
BuildRequires:  libfaac-devel
BuildRequires:  lzo-devel >= 2.01
BuildRequires:  nasm >= 0.98.35
BuildRequires:  libdvdread-devel
BuildRequires:  libogg-devel
BuildRequires:  libxml2-devel
BuildRequires:  libquicktime-devel >= 0.9.3
BuildRequires:  libfame-0_9-1
BuildRequires:  libfame-devel
BuildRequires:  aalib-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  liba52-devel
BuildRequires:  freetype2-devel
BuildRequires:  pvm-devel
BuildRequires:  mjpegtools
BuildRequires:  SDL-devel
BuildRequires:  libtheora-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libffmpeg_oldabi-devel
BuildRequires:  lzo
BuildRequires:  libmpeg2-devel
BuildRequires:  libvorbis
BuildRequires:  libvorbis-devel
#BuildRequires: libmpeg3-devel
BuildRequires:  mjpegtools-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  libvdpau-devel
BuildRequires:  libdv-devel
BuildRequires:  libjpeg-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
transcode is a text-console video stream processing tool. Decoding and encoding
is done by loading shared library modules that are responsible for feeding
transcode with raw RGB/PCM streams (import module) and encoding the frames
(export module). It supports elementary video and audio frame transformations.
Some example modules are included to enable import of MPEG program streams
(VOB), Digital Video (DV), or YUV video and export modules for writing DivX;-),
OpenDivX, or uncompressed AVI files.  A set of tools is available to extract
and decode the sources into raw video/audio streams for import and to enable
post-processing of AVI files.




Authors:
--------
    Thomas Östreich (ostreich@theorie.physik.uni-goettingen.de)

%description -l de
Videokonverter mit sehr vielen input/output und filter plugins, kann auch zum
encodieren von dvd's genutzt werden.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2
%__perl -ne 'print $1,"\n" if /^\+{3}\s+(.+?)\s+/' <"%{PATCH2}" | while read f; do
    %__sed -i 's|@@CONFIGDIR@@|%{_libdir}/transcode|g' "$f"
done

%build
autoreconf -ifv

# --enable-ibp --enable-pv3  --enable-bsdav
CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS"  LDFLAGS=" -L%{_libdir} `glib-config --libs`" ./configure \
        --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir} \
    --with-mod-path=%{_libdir}/transcode \
    --enable-libavcodec --enable-libavformat \
    --enable-v4l --enable-oss --enable-alsa \
    --disable-libpostproc \
    --enable-freetype2 --enable-lame --enable-xvid --enable-x264 \
    --enable-ogg --enable-vorbis --enable-theora \
%ifarch x86_64 amd64 ia32e
    --enable-pvm3  --with-pvm3-libs=/usr/lib/pvm3/lib/LINUX64 \
%else
%ifarch ppc
    --enable-pvm3  --with-pvm3-libs=/usr/lib/pvm3/lib/LINUXPPC \
%else
    --enable-pvm3  --with-pvm3-libs=%{_libdir}/pvm3/lib/LINUX \
%endif
%endif
    --enable-libdvdread --enable-libdv --enable-libquicktime \
    --enable-lzo --with-lzo-includes=%_includedir/lzo \
    --enable-a52 --enable-faac --enable-libxml2 \
    --enable-mjpegtools --enable-sdl --enable-imagemagick \
%ifarch %{ix86} x86_64
    --enable-nuv \
%endif
    --enable-libmpeg2 --enable-libmpeg2convert \
    --enable-libjpeg --enable-iconv --enable-deprecated

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm "%{buildroot}%{_libdir}/transcode"/*.la

%{__rm} -rf %{buildroot}%{_datadir}/doc/transcode
%{__rm} -rf %{buildroot}%{_datadir}/doc/packages/%{name}/man docs/man
%{__rm} -f %{buildroot}%{_bindir}/pvmgs
find docs/ -name 'Makefile*' -exec %__rm {} \;
%{__rm} -f docs/tcmkmodhelp.py
%{__rm} -f docs/make-filter-man.sh
%{__rm} -f docs/make-import-man.sh

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/%{name}
%{_mandir}/man*/*
%doc AUTHORS COPYING ChangeLog README TODO docs/*

%changelog
* Sun Nov  6 2011 cs@linux-administrator.com
- re-import
